# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\Config:
  - name: key
    category: CDev\FedEx
    type: XLite\View\FormField\Input\Text
    orderby: 10
    translations: [{code: en, option_name: 'FedEx API key'}]
    module: CDev\FedEx
  - name: password
    category: CDev\FedEx
    type: XLite\View\FormField\Input\PasswordWithValue
    orderby: 20
    translations: [{code: en, option_name: 'FedEx API secret'}]
    module: CDev\FedEx
  - name: account_number
    category: CDev\FedEx
    type: XLite\View\FormField\Input\Text
    orderby: 30
    translations: [{code: en, option_name: 'FedEx account number'}]
    module: CDev\FedEx
  - name: test_mode
    category: CDev\FedEx
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    orderby: 50
    translations: [{code: en, option_name: 'Test mode'}]
    module: CDev\FedEx
  - name: debug_enabled
    category: CDev\FedEx
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    orderby: 60
    translations: [{code: en, option_name: 'Enable debugging'}]
    module: CDev\FedEx
  - name: additionalSettingsSeparator
    category: CDev\FedEx
    type: separator
    orderby: 100
    translations: [{code: en, option_name: 'Additional settings'}]
    module: CDev\FedEx
  - name: carrierTypesSeparator
    category: CDev\FedEx
    type: separator
    orderby: 200
    translations: [{code: en, option_name: 'Carrier type(s)'}]
    module: CDev\FedEx
  - name: fdxe
    category: CDev\FedEx
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    orderby: 210
    translations: [{code: en, option_name: 'FedEx Express (FDXE)'}]
    module: CDev\FedEx
  - name: fdxg
    category: CDev\FedEx
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    orderby: 220
    translations: [{code: en, option_name: 'FedEx Ground (FDXG)'}]
    module: CDev\FedEx
  - name: fxsp
    category: CDev\FedEx
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    orderby: 230
    translations: [{code: en, option_name: 'FedEx SmartPost (FXSP)'}]
    module: CDev\FedEx
  - name: fxsp_hub_id
    category: CDev\FedEx
    type: CDev\FedEx\View\FormField\Select\HubId
    orderby: 235
    translations: [{code: en, option_name: 'Hub ID'}]
    module: CDev\FedEx
  - name: fxsp_indicia
    category: CDev\FedEx
    type: CDev\FedEx\View\FormField\Select\Indicia
    orderby: 240
    translations: [{code: en, option_name: Indicia}]
    module: CDev\FedEx
  - name: rate_request_type
    category: CDev\FedEx
    type: CDev\FedEx\View\FormField\Select\RateRequestType
    orderby: 300
    value: NONE
    translations: [{code: en, option_name: 'Rate request type'}]
    module: CDev\FedEx
  - name: packaging
    category: CDev\FedEx
    type: CDev\FedEx\View\FormField\Select\Packaging
    orderby: 310
    translations: [{code: en, option_name: Packaging}]
    module: CDev\FedEx
  - name: dropoff_type
    category: CDev\FedEx
    type: CDev\FedEx\View\FormField\Select\DropOffType
    orderby: 320
    translations: [{code: en, option_name: 'Dropoff type'}]
    module: CDev\FedEx
  - name: ship_date
    category: CDev\FedEx
    type: CDev\FedEx\View\FormField\Select\ShipDate
    value: 0
    orderby: 330
    translations: [{code: en, option_name: 'Ship date (days)'}]
    module: CDev\FedEx
  - name: currency_code
    category: CDev\FedEx
    type: CDev\FedEx\View\FormField\Select\CurrencyCode
    value: 0
    orderby: 340
    translations: [{code: en, option_name: 'Currency code'}]
    module: CDev\FedEx
  - name: currency_rate
    category: CDev\FedEx
    type: XLite\View\FormField\Input\Text\FloatInput
    value: 1
    orderby: 350
    translations: [{code: en, option_name: 'Currency rate', option_comment: 'If the currency specified above differs from the currency the store uses for payments, specify a conversion rate to convert the shipping cost returned by FedEx into your store''s currency. If the currencies are the same, leave this set to 1.'}]
    module: CDev\FedEx
  - name: dimensions
    category: CDev\FedEx
    type: serialized
    value: 'a:3:{i:0;i:10;i:1;i:10;i:2;i:10;}'
    orderby: 360
    translations: [{code: en, option_name: 'Package dimensions (inches)'}]
    module: CDev\FedEx
  - name: max_weight
    category: CDev\FedEx
    type: XLite\View\FormField\Input\Text\FloatInput
    value: 70
    orderby: 370
    translations: [{code: en, option_name: 'Maximum package weight'}]
    module: CDev\FedEx
  - name: specialServicesSeparator
    category: CDev\FedEx
    type: separator
    orderby: 400
    translations: [{code: en, option_name: 'Special services'}]
    module: CDev\FedEx
  - name: dg_accessibility
    category: CDev\FedEx
    type: CDev\FedEx\View\FormField\Select\DangerousGoodsAccessibility
    orderby: 410
    translations: [{code: en, option_name: 'Dangerous Goods/Accessibility'}]
    module: CDev\FedEx
  - name: signature
    category: CDev\FedEx
    type: CDev\FedEx\View\FormField\Select\Signature
    orderby: 420
    translations: [{code: en, option_name: 'Signature option'}]
    module: CDev\FedEx
  - name: one_rate
    category: CDev\FedEx
    type: XLite\View\FormField\Input\Checkbox\OnOff
    orderby: 430
    translations: [{code: en, option_name: 'FedEx One Rate'}]
    module: CDev\FedEx
  - name: shippingRefundsSeparator
    category: CDev\FedEx
    type: separator
    orderby: 450
    translations: [{code: en, option_name: 'Shipping refunds settings'}]
    module: CDev\FedEx
  - name: lbs71Info
    category: CDev\FedEx
    type: XLite\View\FormField\Label
    value: 'As a FedEx user, you are entitled to receive shipping refunds usually left unclaimed with default FedEx service ($2B/year globally)'
    orderby: 460
    widgetParameters: {fieldOnly: true}
    module: CDev\FedEx
  - name: cacheOnDeliverySeparator
    category: CDev\FedEx
    type: separator
    orderby: 500
    translations: [{code: en, option_name: 'Cash on delivery'}]
    module: CDev\FedEx
  - name: cod_type
    category: CDev\FedEx
    type: CDev\FedEx\View\FormField\Select\CODType
    value: ANY
    orderby: 510
    translations: [{code: en, option_name: 'COD type'}]
    module: CDev\FedEx
  - name: advancedOptionsSeparator
    category: CDev\FedEx
    type: separator
    orderby: 600
    translations: [{code: en, option_name: 'Advanced options'}]
    module: CDev\FedEx
  - name: opt_saturday_pickup
    category: CDev\FedEx
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    orderby: 610
    translations: [{code: en, option_name: 'Shipment is scheduled for Saturday pickup (the option will be used if ship date is Saturday)'}]
    module: CDev\FedEx
  - name: opt_residential_delivery
    category: CDev\FedEx
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    orderby: 620
    translations: [{code: en, option_name: 'Shipment from residential address'}]
    module: CDev\FedEx
  - name: send_insured_value
    category: CDev\FedEx
    type: XLite\View\FormField\Input\Checkbox\OnOffWithoutOffLabel
    value: true
    orderby: 630
    translations: [{code: en, option_name: 'Send package cost to calculate insurance'}]
    module: CDev\FedEx
XLite\Model\Shipping\Method:
  - processor: fedex
    carrier: ''
    code: ''
    enabled: false
    added: false
    position: 0
    moduleName: CDev_FedEx
    translations: [{code: en, name: FedEx}]
  - processor: fedex
    carrier: fedex
    code: EUROPE_FIRST_INTERNATIONAL_PRIORITY
    enabled: 1
    position: 10
    translations: [{code: en, name: 'FedEx Europe First International Priority'}]
  - processor: fedex
    carrier: fedex
    code: FEDEX_1_DAY_FREIGHT
    enabled: 1
    position: 20
    translations: [{code: en, name: 'FedEx 1Day<sup>&reg;</sup> Freight'}]
  - processor: fedex
    carrier: fedex
    code: FEDEX_2_DAY
    enabled: 1
    position: 30
    translations: [{code: en, name: 'FedEx 2Day<sup>&reg;</sup>'}]
  - processor: fedex
    carrier: fedex
    code: FEDEX_2_DAY_AM
    enabled: 1
    position: 40
    translations: [{code: en, name: 'FedEx 2Day AM<sup>&reg;</sup>'}]
  - processor: fedex
    carrier: fedex
    code: FEDEX_2_DAY_FREIGHT
    enabled: 1
    position: 50
    translations: [{code: en, name: 'FedEx 2Day<sup>&reg;</sup> Freight'}]
  - processor: fedex
    carrier: fedex
    code: FEDEX_3_DAY_FREIGHT
    enabled: 1
    position: 60
    translations: [{code: en, name: 'FedEx 3Day<sup>&reg;</sup> Freight'}]
  - processor: fedex
    carrier: fedex
    code: FEDEX_EXPRESS_SAVER
    enabled: 1
    position: 70
    translations: [{code: en, name: 'FedEx Express Saver<sup>&reg;</sup>'}]
  - processor: fedex
    carrier: fedex
    code: FEDEX_FIRST_FREIGHT
    enabled: 1
    position: 80
    translations: [{code: en, name: 'FedEx First Freight<sup>&reg;</sup>'}]
  - processor: fedex
    carrier: fedex
    code: FEDEX_GROUND
    enabled: 1
    position: 90
    translations: [{code: en, name: 'FedEx Ground<sup>&reg;</sup>'}]
  - processor: fedex
    carrier: fedex
    code: FIRST_OVERNIGHT
    enabled: 1
    position: 100
    translations: [{code: en, name: 'FedEx First Overnight<sup>&reg;</sup>'}]
  - processor: fedex
    carrier: fedex
    code: GROUND_HOME_DELIVERY
    enabled: 1
    position: 110
    translations: [{code: en, name: 'FedEx Home Delivery<sup>&reg;</sup>'}]
  - processor: fedex
    carrier: fedex
    code: INTERNATIONAL_DISTRIBUTION_FREIGHT
    enabled: 1
    position: 120
    translations: [{code: en, name: 'FedEx International Distribution<sup>&reg;</sup> Freight'}]
  - processor: fedex
    carrier: fedex
    code: INTERNATIONAL_ECONOMY
    enabled: 1
    position: 130
    translations: [{code: en, name: 'FedEx International Economy<sup>&reg;</sup>'}]
  - processor: fedex
    carrier: fedex
    code: INTERNATIONAL_ECONOMY_DISTRIBUTION
    enabled: 1
    position: 140
    translations: [{code: en, name: 'FedEx International Economy Distribution<sup>&reg;</sup>'}]
  - processor: fedex
    carrier: fedex
    code: INTERNATIONAL_ECONOMY_FREIGHT
    enabled: 1
    position: 150
    translations: [{code: en, name: 'FedEx International Economy<sup>&reg;</sup> Freight'}]
  - processor: fedex
    carrier: fedex
    code: INTERNATIONAL_FIRST
    enabled: 1
    position: 160
    translations: [{code: en, name: 'FedEx International First<sup>&reg;</sup>'}]
  - processor: fedex
    carrier: fedex
    code: INTERNATIONAL_PRIORITY
    enabled: 1
    position: 170
    translations: [{code: en, name: 'FedEx International Priority<sup>&reg;</sup>'}]
  - processor: fedex
    carrier: fedex
    code: INTERNATIONAL_PRIORITY_DISTRIBUTION
    enabled: 1
    position: 180
    translations: [{code: en, name: 'FedEx International Priority<sup>&reg;</sup> Distribution'}]
  - processor: fedex
    carrier: fedex
    code: INTERNATIONAL_PRIORITY_FREIGHT
    enabled: 1
    position: 190
    translations: [{code: en, name: 'FedEx International Priority Freight<sup>&reg;</sup>'}]
  - processor: fedex
    carrier: fedex
    code: PRIORITY_OVERNIGHT
    enabled: 1
    position: 200
    translations: [{code: en, name: 'FedEx Priority Overnight<sup>&reg;</sup>'}]
  - processor: fedex
    carrier: fedex
    code: SMART_POST
    enabled: 1
    position: 210
    translations: [{code: en, name: 'FedEx SmartPost<sup>&reg;</sup>/FedEx SmartPost<sup>&reg;</sup> International'}]
  - processor: fedex
    carrier: fedex
    code: STANDARD_OVERNIGHT
    enabled: 1
    position: 220
    translations: [{code: en, name: 'FedEx Standard Overnight<sup>&reg;</sup>'}]
XLite\Model\Payment\Method:
  - service_name: COD_FEDEX
    class: CDev\FedEx\Model\Payment\Processor\COD
    countries: [CA, US]
    added: 0
    translations: [{code: en, name: 'Cash on Delivery (FedEx)'}, {code: es, name: 'Contra reembolso (FedEx)'}]
XLite\Model\LanguageLabel:
  - name: 'FedEx module allows to use online shipping rates calculation via FedEx.'
    translations: [{code: en, label: 'FedEx module allows you to use online shipping rates calculation via FedEx.'}]
  - name: '"Cash on delivery" status'
    translations: [{code: en, label: '"Cash on delivery" status'}]
  - name: fedex.CODStatusOptionComment
    translations: [{code: en, label: 'Note: To enable/disable the "Cash on delivery" payment option, you should enable/disable the payment method "Cash on delivery (FedEx)" on the <a href="{{URL}}">Payment methods page</a>.'}]
  - name: 'As a FedEx user, you are entitled to receive shipping refunds usually left unclaimed with default FedEx service ($2B/year globally)'
    translations: [{code: en, label: 'As a FedEx user, you are entitled to receive shipping refunds usually left unclaimed with default FedEx service ($2B/year globally). <a href="https://71lbs.com/xcart" target="_blank">Get My FedEx Refunds</a>'}]
